Skip to main content
POST
/
api
/
api-keys
/
{id}
/
rotate
Error
A valid request URL is required to generate request examples
{
  "apiKey": {
    "_id": "<string>",
    "name": "<string>",
    "keyPrefix": "<string>",
    "keyHint": "<string>",
    "scopes": [
      "<string>"
    ],
    "environment": "live",
    "status": "active",
    "createdAt": "2023-11-07T05:31:56Z",
    "accountId": "<string>",
    "expiresAt": "2023-11-07T05:31:56Z",
    "lastUsedAt": "2023-11-07T05:31:56Z"
  },
  "fullKey": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token using an API key (format nl_live_* or nl_test_*)

Path Parameters

id
string
required

API key ID to rotate

Response

Key rotated successfully

apiKey
object
required
fullKey
string
required

The new full API key (shown only once)